TESTING/EIG/cerred.f(3)

NAME
TESTING/EIG/cerred.f

SYNOPSIS

  Functions/Subroutines
subroutine cerred (path, nunit)
CERRED

Function/Subroutine Documentation

  subroutine cerred (character*3 path, integer nunit)

CERRED

Purpose:

    !>
    !> CERRED tests the error exits for the eigenvalue driver routines for
    !> REAL matrices:
    !>
    !> PATH  driver   description
    !> ----  ------   -----------
    !> CEV   CGEEV    find eigenvalues/eigenvectors for nonsymmetric A
    !> CES   CGEES    find eigenvalues/Schur form for nonsymmetric A
    !> CVX   CGEEVX   CGEEV + balancing and condition estimation
    !> CSX   CGEESX   CGEES + balancing and condition estimation
    !> CBD   CGESVD   compute SVD of an M-by-N matrix A
    !>       CGESDD   compute SVD of an M-by-N matrix A(by divide and
    !>                conquer)
    !>       CGEJSV   compute SVD of an M-by-N matrix A where M >= N
    !>       CGESVDX  compute SVD of an M-by-N matrix A(by bisection
    !>                and inverse iteration)
    !>       CGESVDQ  compute SVD of an M-by-N matrix A(with a
    !>                QR-Preconditioned )
    !>

Parameters
    PATH

    !>          PATH is CHARACTER*3
    !>          The LAPACK path name for the routines to be tested.
    !>

    NUNIT

    !>          NUNIT is INTEGER
    !>          The unit number for output.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 69 of file cerred.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.